System.Design 1.0.5000.0 2.0.0.0 System.ComponentModel.Design.DesignerVerb System.IDisposable

The class is obsolete. Expose templates through the property of a control designer. The design host creates a for each defined for a control designer.

Represents a designer verb that creates a template editing frame, and that can be invoked only by a template editor.

- Constructor
  2.0.0.0

  The class is obsolete. Expose templates through the property of a control designer. The design host creates a for each defined for a control designer.

  Initializes a new instance of the class with the specified verb text and index.

  The text to show for the verb on a menu.
  An optional integer value that can be used by a designer, typically to indicate the index of the verb within a set of verbs.
- Constructor

  The class is obsolete. Expose templates through the property of a control designer. The design host creates a for each defined for a control designer.

  Initializes a new instance of the class.

  The text to show for the verb on a menu.
  An optional integer value that can be used by a designer, typically to indicate the index of the verb within a set of verbs.
  The that can use this verb.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Calling allows the resources used by the to be reallocated for other purposes.

  The class is obsolete. Expose templates through the property of a control designer. The design host creates a for each defined for a control designer.

  Releases all resources used by the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is called by the public Dispose method and the method. Dispose invokes the protected Dispose(Boolean) method with set to true. invokes Dispose with set to false.

  When is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  This method overrides and cleans up resources by calling Dispose(false). Override Dispose(Boolean) to customize the cleanup.

  Application code should not call this method; an object's Finalize method is automatically invoked during garbage collection, unless finalization by the garbage collector has been disabled by a call to the method.

  For more information, see [<topic://cpconFinalizeMethodscDestructors>], Cleaning Up Unmanaged Resources, and [<topic://cpconOverridingFinalizeMethod>].

  The class is obsolete. Expose templates through the property of a control designer. The design host creates a for each defined for a control designer.

  Attempts to free resources before the object is reclaimed by garbage collection.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added.

  This property is sometimes used to store the index of each verb in a set of verbs. When implementing a custom designer, this property can be used to store custom-defined integer data.

  The class is obsolete. Expose templates through the property of a control designer. The design host creates a for each defined for a control designer.

  Gets the index or other user data for the verb.

  1.0.5000.0
  2.0.0.0
System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")